Bug 90895 - apache crash after graceful restart.
apache crash after graceful restart.
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-05-15 02:44 EDT by Gordon Oliver
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-21 06:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gordon Oliver 2003-05-15 02:44:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/73 (KHTML, like Gecko) 

Description of problem:
After doing a graceful restart '/etc/init.d/apache graceful', apache sometimes fails. It is sufficiently 
consistent so that we can no longer use the graceful restart.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. /etc/init.d/apache graceful
2. (wait, perhaps accessing the server)


Actual Results:  Apache exited with the error code reported below.

Expected Results:  Apache should gracefully restart and continue running.

Additional info:

The following appears in the error_log:

[Sun May  4 23:37:44 2003] [alert] Child 16982 returned a Fatal error... 
Apache is exiting!

on restart it reports:

[Mon May  5 13:40:44 2003] [warn] pid file /var/run/httpd.pid overwritten -- Unclean shutdown of 
previous Apache run?

Notes on our configuration:
  - we have two ssl certificates, one has a passphrase. (on different IP addresses)
  - we have numerous virtual hosts, which are included in the primary configuration via "Include", 
almost all are on one of the ip addresses.
  - this has been happening for a while, but I'm not sure quite when, because I didn't realize what 
it was for a while, there is a time lag between the graceful restart and the failure of apache.
Comment 1 Joe Orton 2004-09-21 06:41:39 EDT
Thanks for the report.  This is a mass bug update; since this release
of Red Hat Linux is no longer supported, please either:

a) try and reproduce the bug with a supported version of Red Hat
Enterprise Linux or Fedora Core, and re-open this bug as appropriate
after changing the Product field, or,

b) if relevant, try and reproduce this bug using the current version
of the upstream package, and report the bug upstream.

Note You need to log in before you can comment on or make changes to this bug.